1. Wallet
Bokumonie API Docs
  • Bokumonie API Documentation
  • Auth
    • Authentication
      GET
  • Payout
    • Initiate payout
      POST
    • Get a Payout
      GET
    • Get Payout Summary
      POST
    • Get payouts
      GET
  • Wallet
    • Get Balance
      GET
  • Webhook Notification
  1. Wallet

Get Balance

GET
/wallets/balances

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.bokumonie.com/v2/wallets/balances' \
--header 'Accept: application/json' \
--header 'Idempotency-key: {{$randomUUID}}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
{
    "status": "Successful",
    "message": "Balances retrieved",
    "data": [
        {
            "wallet_id": "5553881136",
            "wallet_name": "Main Wallet",
            "currency": "SLE",
            "balance": 1469.95,
            "updated_at": "2026-04-03T14:58:04.000000Z"
        }
    ],
    "timestamp": "2026-04-03T19:56:26.422431Z"
}
Modified at 2026-04-05 02:10:05
Previous
Get payouts
Next
Webhook Notification
Built with